namespace :magento_migrator do
  desc 'Fetch customers data from magento'

  task :cc_menu => :environment do
    puts Workarea::MagentoMigrator::CatalogCategory.catalog_category_menu
  end

  task :catagories_query => :environment do
    puts Workarea::MagentoMigrator::CatalogCategory.select_query
  end

  task :content_pages_query => :environment do
    puts Workarea::MagentoMigrator::CatalogCategory.select_content_pages_query
  end

  task :categories_content => :environment do
    puts Workarea::MagentoMigrator::CatalogCategory.categories_content
  end

  task :import_catagories => :environment do
    Workarea::MagentoMigrator::CatalogCategory.import_catagories
    Workarea::MagentoMigrator::CatalogCategory.import_content_pages
  end

end
